当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 8 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : 奇怪了,这到底是卸载还是安装?
帖子发表于 : 2010-10-24 23:41 

注册: 2008-03-09 12:32
帖子: 204
送出感谢: 0 次
接收感谢: 0 次
我想试试安装python3,把python2.6卸了试试,结果:

代码:
$ sudo apt-get autoremove python
正在读取软件包列表... 完成
正在分析软件包的依赖关系树       
正在读取状态信息... 完成       
将会安装下列额外的软件包:
  docbook-xsl docbook-xsl-doc-html hal hal-info icoutils kdebase-runtime kdebase-runtime-data kdelibs-bin kdelibs5-data
  kdelibs5-plugins kdoctools kubuntu-debug-installer libattica0 libclucene0ldbl libdbusmenu-qt2 libhal-storage1 libhal1
  libiodbc2 libkatepartinterfaces4 libkdecore5 libkdesu5 libkdeui5 libkdewebkit5 libkdnssd4 libkfile4 libkhtml5 libkio5
  libkjsapi4 libkjsembed4 libkmediaplayer4 libknewstuff3-4 libknotifyconfig4 libkntlm4 libkparts4 libkpty4 libkrosscore4
  libkrossui4 libktexteditor4 libkutils4 libmng1 libmodplug1 libmpcdec6 libnepomuk4 libnepomukquery4a libphonon4 libplasma3
  libpolkit-qt-1-0 libpulse-mainloop-glib0 libqapt-runtime libqapt1 libqca2 libqt4-dbus libqt4-network libqt4-opengl
  libqt4-script libqt4-svg libqt4-xml libqtcore4 libqtgui4 libqtwebkit4 libraptor1 librasqal2 librdf0 libreadline5 libsolid4
  libsoprano4 libssh-4 libstreamanalyzer0 libstreams0 libthreadweaver4 libutempter0 libvirtodbc0 libxcb-shape0 libxcb-xv0
  libxine1 libxine1-bin libxine1-console libxine1-misc-plugins libxine1-x libxml2-utils libxss1 odbcinst odbcinst1debian2
  oxygen-icon-theme phonon phonon-backend-xine plasma-scriptengine-javascript pm-utils qapt-batch shared-desktop-ontologies
  smartdimmer soprano-daemon ttf-dejavu ttf-dejavu-extra vbetool virtuoso-minimal virtuoso-opensource-6.1-bin
  virtuoso-opensource-6.1-common
建议安装的软件包:
  libsaxon-java libxalan2-java docbook-xsl-saxon fop xalan dbtoepub gnome-device-manager libterm-readline-gnu-perl
  libterm-readline-perl-perl djvulibre-bin hspell libqca2-plugin-cyrus-sasl libqca2-plugin-gnupg libqca2-plugin-ossl
  libqca2-plugin-pkcs11 qt4-qtconfig raptor-utils librdf-storage-postgresql librdf-storage-mysql librdf-storage-sqlite
  redland-utils gxine xine-ui libxine1-doc libxine-doc libxine1-ffmpeg phonon-backend-gstreamer phonon-backend-vlc
  phonon-backend-mplayer cpufrequtils uswsusp wireless-tools ethtool radeontool
下列软件包将被【卸载】:
  apt-xapian-index apturl apturl-common command-not-found firefox firefox-branding gstreamer0.10-plugins-good
  language-selector-common launchpad-integration libbonoboui2-0 libgnome2-0 libgnome2-common libgnome2-perl libgnomeui-0
  lsb-release notification-daemon opera python-apt python-cairo python-dbus python-debian python-gdbm python-glade2
  python-gnupginterface python-gobject python-gobject-cairo python-gtk2 python-software-properties python-vte python-webkit
  python-xapian software-properties-gtk ubufox ubuntu-minimal ubuntu-standard ufw unattended-upgrades xul-ext-ubufox
  zeroinstall-injector
下列【新】软件包将被安装:
  docbook-xsl docbook-xsl-doc-html hal hal-info icoutils kdebase-runtime kdebase-runtime-data kdelibs-bin kdelibs5-data
  kdelibs5-plugins kdoctools kubuntu-debug-installer libattica0 libclucene0ldbl libdbusmenu-qt2 libhal-storage1 libhal1
  libiodbc2 libkatepartinterfaces4 libkdecore5 libkdesu5 libkdeui5 libkdewebkit5 libkdnssd4 libkfile4 libkhtml5 libkio5
  libkjsapi4 libkjsembed4 libkmediaplayer4 libknewstuff3-4 libknotifyconfig4 libkntlm4 libkparts4 libkpty4 libkrosscore4
  libkrossui4 libktexteditor4 libkutils4 libmng1 libmodplug1 libmpcdec6 libnepomuk4 libnepomukquery4a libphonon4 libplasma3
  libpolkit-qt-1-0 libpulse-mainloop-glib0 libqapt-runtime libqapt1 libqca2 libqt4-dbus libqt4-network libqt4-opengl
  libqt4-script libqt4-svg libqt4-xml libqtcore4 libqtgui4 libqtwebkit4 libraptor1 librasqal2 librdf0 libreadline5 libsolid4
  libsoprano4 libssh-4 libstreamanalyzer0 libstreams0 libthreadweaver4 libutempter0 libvirtodbc0 libxcb-shape0 libxcb-xv0
  libxine1 libxine1-bin libxine1-console libxine1-misc-plugins libxine1-x libxml2-utils libxss1 odbcinst odbcinst1debian2
  oxygen-icon-theme phonon phonon-backend-xine plasma-scriptengine-javascript pm-utils qapt-batch shared-desktop-ontologies
  smartdimmer soprano-daemon ttf-dejavu ttf-dejavu-extra vbetool virtuoso-minimal virtuoso-opensource-6.1-bin
  virtuoso-opensource-6.1-common
升级了 0 个软件包,新安装了 98 个软件包,要卸载 39 个软件包,有 0 个软件包未被升级。
需要下载 64.1MB/64.4MB 的软件包。
解压缩后会消耗掉 141MB 的额外空间。
您希望继续执行吗?[Y/n]


_________________
http://www.csdriver.com
http://blog.csdn.net/hodrag/
http://www.unix-center.net/


页首
 用户资料  
 
2 楼 
 文章标题 : Re: 奇怪了,这到底是卸载还是安装?
帖子发表于 : 2010-10-25 9:48 
头像

注册: 2007-03-02 17:36
帖子: 7277
送出感谢: 3
接收感谢: 99
想卸载应该是:sudo apt-get remove python


_________________
虽然世上没有完美的东西,但这并不影响我们追求完美,因为只有偏执狂才TMD能成功。
10.04新手入门——笨兔兔讲述自己的故事


页首
 用户资料  
 
3 楼 
 文章标题 : Re: 奇怪了,这到底是卸载还是安装?
帖子发表于 : 2010-10-25 9:53 
头像

注册: 2007-02-02 18:14
帖子: 30702
系统: debian sid
送出感谢: 1
接收感谢: 34
python2.6还不可以删除吧,你装python3就完了,删除2.6干嘛


_________________
醉了星星,醉月亮●●●●●The Long Way To Go(*^_^*)


页首
 用户资料  
 
4 楼 
 文章标题 : Re: 奇怪了,这到底是卸载还是安装?
帖子发表于 : 2010-10-25 10:35 

注册: 2008-03-09 12:32
帖子: 204
送出感谢: 0 次
接收感谢: 0 次
代码:
$ sudo apt-get remove python
正在读取软件包列表... 完成
正在分析软件包的依赖关系树       
正在读取状态信息... 完成       
The following packages were automatically installed and are no longer required:
  libical0 libkldap4 kdepim-runtime libmicroblog4 libqt4-test libqt4-sql-mysql libboost-program-options1.42.0
  mysql-client-core-5.1 libqt4-qt3support mysql-common kdesudo libakonadiprivate1 libqt4-xmlpatterns mysql-server-core-5.1
  libqt4-help python-qt4 libmailtransport4 libakonadi-kde4 libkabc4 python-sip libkresources4 libkpimutils4 libkcal4
  libknewstuff2-4 libqt4-sql libkimap4 libqt4-designer libkmime4 libmysqlclient16 libakonadi-kabc4 akonadi-server
  libqt4-scripttools libakonadi-kcal4 libakonadi-kmime4 kdepimlibs-kio-plugins python-kde4
使用'apt-get autoremove'来卸载它们
将会安装下列额外的软件包:
  akonadi-server docbook-xsl docbook-xsl-doc-html hal hal-info icoutils kdebase-runtime kdebase-runtime-data kdelibs-bin
  kdelibs5-data kdelibs5-plugins kdepim-runtime kdepimlibs-kio-plugins kdesudo kdoctools kubuntu-debug-installer
  libakonadi-kabc4 libakonadi-kcal4 libakonadi-kde4 libakonadi-kmime4 libakonadiprivate1 libattica0
  libboost-program-options1.42.0 libclucene0ldbl libdbusmenu-qt2 libhal-storage1 libhal1 libical0 libiodbc2 libkabc4
  libkatepartinterfaces4 libkcal4 libkdecore5 libkdesu5 libkdeui5 libkdewebkit5 libkdnssd4 libkfile4 libkhtml5 libkimap4
  libkio5 libkjsapi4 libkjsembed4 libkldap4 libkmediaplayer4 libkmime4 libknewstuff2-4 libknewstuff3-4 libknotifyconfig4
  libkntlm4 libkparts4 libkpimutils4 libkpty4 libkresources4 libkrosscore4 libkrossui4 libktexteditor4 libkutils4
  libmailtransport4 libmicroblog4 libmng1 libmodplug1 libmpcdec6 libmysqlclient16 libnepomuk4 libnepomukquery4a libphonon4
  libplasma3 libpolkit-qt-1-0 libpulse-mainloop-glib0 libqapt-runtime libqapt1 libqca2 libqt4-dbus libqt4-designer
  libqt4-help libqt4-network libqt4-opengl libqt4-qt3support libqt4-script libqt4-scripttools libqt4-sql libqt4-sql-mysql
  libqt4-svg libqt4-test libqt4-xml libqt4-xmlpatterns libqtcore4 libqtgui4 libqtwebkit4 libraptor1 librasqal2 librdf0
  libreadline5 libsolid4 libsoprano4 libssh-4 libstreamanalyzer0 libstreams0 libthreadweaver4 libutempter0 libvirtodbc0
  libxcb-shape0 libxcb-xv0 libxine1 libxine1-bin libxine1-console libxine1-misc-plugins libxine1-x libxml2-utils libxss1
  mysql-client-core-5.1 mysql-common mysql-server-core-5.1 odbcinst odbcinst1debian2 oxygen-icon-theme phonon
  phonon-backend-xine plasma-scriptengine-javascript pm-utils python-kde4 python-qt4 python-sip qapt-batch
  shared-desktop-ontologies smartdimmer soprano-daemon ttf-dejavu ttf-dejavu-extra vbetool virtuoso-minimal
  virtuoso-opensource-6.1-bin virtuoso-opensource-6.1-common
建议安装的软件包:
  libsaxon-java libxalan2-java docbook-xsl-saxon fop xalan dbtoepub gnome-device-manager libterm-readline-gnu-perl
  libterm-readline-perl-perl djvulibre-bin hspell libqca2-plugin-cyrus-sasl libqca2-plugin-gnupg libqca2-plugin-ossl
  libqca2-plugin-pkcs11 libqt4-dev qt4-qtconfig raptor-utils librdf-storage-postgresql librdf-storage-mysql
  librdf-storage-sqlite redland-utils gxine xine-ui libxine1-doc libxine-doc libxine1-ffmpeg phonon-backend-gstreamer
  phonon-backend-vlc phonon-backend-mplayer cpufrequtils uswsusp wireless-tools ethtool radeontool python-qt4-dbg
下列软件包将被【卸载】:
  apt-xapian-index apturl apturl-common command-not-found firefox firefox-branding gstreamer0.10-plugins-good
  language-selector-common launchpad-integration libbonoboui2-0 libgnome2-0 libgnome2-common libgnome2-perl libgnomeui-0
  lsb-release notification-daemon opera python-apt python-cairo python-dbus python-debian python-gdbm python-glade2
  python-gnupginterface python-gobject python-gobject-cairo python-gtk2 python-software-properties python-vte python-webkit
  python-xapian software-properties-gtk ubufox ubuntu-minimal ubuntu-standard ufw unattended-upgrades xul-ext-ubufox
  zeroinstall-injector
下列【新】软件包将被安装:
  akonadi-server docbook-xsl docbook-xsl-doc-html hal hal-info icoutils kdebase-runtime kdebase-runtime-data kdelibs-bin
  kdelibs5-data kdelibs5-plugins kdepim-runtime kdepimlibs-kio-plugins kdesudo kdoctools kubuntu-debug-installer
  libakonadi-kabc4 libakonadi-kcal4 libakonadi-kde4 libakonadi-kmime4 libakonadiprivate1 libattica0
  libboost-program-options1.42.0 libclucene0ldbl libdbusmenu-qt2 libhal-storage1 libhal1 libical0 libiodbc2 libkabc4
  libkatepartinterfaces4 libkcal4 libkdecore5 libkdesu5 libkdeui5 libkdewebkit5 libkdnssd4 libkfile4 libkhtml5 libkimap4
  libkio5 libkjsapi4 libkjsembed4 libkldap4 libkmediaplayer4 libkmime4 libknewstuff2-4 libknewstuff3-4 libknotifyconfig4
  libkntlm4 libkparts4 libkpimutils4 libkpty4 libkresources4 libkrosscore4 libkrossui4 libktexteditor4 libkutils4
  libmailtransport4 libmicroblog4 libmng1 libmodplug1 libmpcdec6 libmysqlclient16 libnepomuk4 libnepomukquery4a libphonon4
  libplasma3 libpolkit-qt-1-0 libpulse-mainloop-glib0 libqapt-runtime libqapt1 libqca2 libqt4-dbus libqt4-designer
  libqt4-help libqt4-network libqt4-opengl libqt4-qt3support libqt4-script libqt4-scripttools libqt4-sql libqt4-sql-mysql
  libqt4-svg libqt4-test libqt4-xml libqt4-xmlpatterns libqtcore4 libqtgui4 libqtwebkit4 libraptor1 librasqal2 librdf0
  libreadline5 libsolid4 libsoprano4 libssh-4 libstreamanalyzer0 libstreams0 libthreadweaver4 libutempter0 libvirtodbc0
  libxcb-shape0 libxcb-xv0 libxine1 libxine1-bin libxine1-console libxine1-misc-plugins libxine1-x libxml2-utils libxss1
  mysql-client-core-5.1 mysql-common mysql-server-core-5.1 odbcinst odbcinst1debian2 oxygen-icon-theme phonon
  phonon-backend-xine plasma-scriptengine-javascript pm-utils python-kde4 python-qt4 python-sip qapt-batch
  shared-desktop-ontologies smartdimmer soprano-daemon ttf-dejavu ttf-dejavu-extra vbetool virtuoso-minimal
  virtuoso-opensource-6.1-bin virtuoso-opensource-6.1-common
升级了 0 个软件包,新安装了 134 个软件包,要卸载 39 个软件包,有 6 个软件包未被升级。
需要下载 91.9MB/92.2MB 的软件包。
解压缩后会消耗掉 237MB 的额外空间。
您希望继续执行吗?[Y/n]


_________________
http://www.csdriver.com
http://blog.csdn.net/hodrag/
http://www.unix-center.net/


页首
 用户资料  
 
5 楼 
 文章标题 : Re: 奇怪了,这到底是卸载还是安装?
帖子发表于 : 2010-10-25 10:45 
头像

注册: 2008-03-25 15:49
帖子: 25877
地址: 谁知道?
送出感谢: 8
接收感谢: 10
可能清除python的时候 必须要用别的包来代替python来完成替代 所以又安装了许多别的包,
linux上的python貌似基本上都有 最好不要卸载吧


页首
 用户资料  
 
6 楼 
 文章标题 : Re: 奇怪了,这到底是卸载还是安装?
帖子发表于 : 2010-10-25 11:03 
头像

注册: 2010-08-08 20:02
帖子: 741
系统: Ubuntu 12.04
送出感谢: 0 次
接收感谢: 1
ls正解。。。


_________________
退避九舍:富贵不能淫,贫贱不能移,威武不能屈:坚持ubuntu不动摇!


页首
 用户资料  
 
7 楼 
 文章标题 : Re: 奇怪了,这到底是卸载还是安装?
帖子发表于 : 2010-10-25 19:11 

注册: 2008-10-01 12:14
帖子: 31
送出感谢: 0 次
接收感谢: 0 次
因为要改依赖吧 以前用opensuse的时候有点头大
看起来好像从gtk转向qt库了?
python可以多版本 而且现在很多东西要找2.6
真要改默认版本
代码:
$ gedit /usr/share/python/debian_defaults

要不直接ln掉 /usr/bin/python


页首
 用户资料  
 
8 楼 
 文章标题 : Re: 奇怪了,这到底是卸载还是安装?
帖子发表于 : 2010-10-26 10:05 

注册: 2008-03-09 12:32
帖子: 204
送出感谢: 0 次
接收感谢: 0 次
原来是换依赖呀,apt-get果然强大


_________________
http://www.csdriver.com
http://blog.csdn.net/hodrag/
http://www.unix-center.net/


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 8 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 3 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译